Threat Encyclopedia

Stack-Based Buffer Overflow, Arbitrary Code Execution, and Type-Confusion Condition Vulnerability for Omron CX-One

description-logoDescription

Omron CX-One Versions 4.60 and prior are vulnerable to a stack-based buffer overflow, which may allow an attacker to execute arbitrary code through supplying a pointer to an arbitrary memory location. Also the lack of proper validation of user-supplied data, which can result in a type-confusion condition.

affected-products-logoAffected Products

CX-One